Relesys API Docs

v1.4

https://api.relesystest.net/api/v1.4

Reactions

Get Comment Reactions
GET /contentmodules/{moduleId}/content/{contentId}/comments/{commentId}/reactions
https://api.relesystest.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}/comments/{commentId}/reactions
Get a list of content comment reactions.
Default sort is by type in ascending order.

type - This field displays the type of the reaction. Currently, the available types to filter on are:
  • Like
  • Love
  • Haha
  • Wow
  • Sad
  • Angry

Please note: Comments and reactions must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
commentId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
type string Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"f2fd149b-1669-4063-94c2-8d6f55e7c5ba","userId":"944e3dcc-de91-4bbb-9f19-06790569906b","type":"Angry","creationDateTime":"2026-10-26T05:19:22.8371827+00:00"},{"id":"c33a5d68-f5f1-4768-9f3a-7ff473c7f72a","userId":"54016df7-9aab-4b9a-ba62-27c41bcbf3c9","type":"Like","creationDateTime":"2026-10-26T06:19:22.8371827+00:00"}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   id string / guid      
   type string      
   userId string / guid      
  nextUrl string      
  previousUrl string